from turtle import *

# --------------- FONCTIONS ----------------------
def bdd_biens_deja_vendus() :
    """
        Retourne la liste contenant les coordonnées x et y, le prix au m²
        et un champ encore vide(None)
    """
    liste  =  [ [-52 , -52 , 4160 , None],\
                [-168 ,-42 , 3700 , None],\
                [-6 ,58 , 5163 , None],\
                [7 ,-23 , 5573 , None],\
                [89 ,39 , 6250 , None],\
                [67 ,-43 , 4582 , None],\
                [193 ,-186 , 3617 , None],\
                [34 ,-156 , 4681 , None] ]

    return liste






def visualiser(liste,point,k,moy) :
    """
        - positionne dans une fenêtre graphique les
          biens immobiliers repérés dans liste en écrivant leur valeur en €
        - positionne le bien repéré dans point en rouge et sa valeur
          calculée si k > 0
        - demande à l'utilisateur le nombre val_k de voisins à prendre en
          compte et retourne cette valeur en return
        - souligne les valeurs des k voisins pris en compte
    """
    speed(10)
    bgpic("lyon.png")   # fond d'écran : carte de lyon
    up()                # levé du crayon
    # tracé repère
    goto(-300,0)
    down()
    goto(300,0)
    up()
    goto(0,300)
    down()
    goto(0,-300)
    up()
    # Positionnement sur le bien à estimer :
    x,y = point   # valeurs du 2-uplets
    goto(x,y)   # déplacement sur le point de coord : x,y
    down()  # crayon en position dessin
    if k == None :
        dot(20,"red")  # tracé d'un disque rouge de diamètre 20px
        for elt in liste :   # parcours de la liste
            x,y,V,d = elt      # éléments du 3-uplets
            up()
            goto(x,y)
            down()
            write(str(V)+" €",align='center',font=('Arial', 20,\
            'normal'))
            dot(5,"blue")
        val_k = int(numinput("k", "Combien de voisins ?", minval = 1,\
        maxval = len(liste)))
    else :
        val_k = k
        moy = round(moy,0)
        write(str(moy)+" €",align='center',font=('Arial', 24,\
        'bold'))
        color("red")
        width(4)
        for elt in liste[:k] :   # parcours de la liste
            x,y,V,d = elt      # éléments du 3-uplets
            up()
            goto(x-20,y+3)
            down()
            forward(40)
    return val_k



